//
// ColorButton.h
//

// Engine includes.
#include "Button.h"
#include "Sprite.h"

class ColorButton : public df::Button {

 private:
  df::Sprite *m_p_sprite;

 public:
  ColorButton(df::Sprite *p_sprite);

  // Called when Button clicked.
  void callback();
};
